> For the complete documentation index, see [llms.txt](https://developer.ultimo.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ultimo.net/azure-documentation/migration-to-azure/export-alternatives.md).

# Export alternatives

## 1. Alternative for exporting data to a network share using an export connector

### Export data periodically

If data is exported to a network share periodically, the alternative is to retrieve data from the existing export connector directly through a webservice call and save the result as a file. You can either use your own middleware tooling to get the data from the Ultimo export connector or use a cUrl command.

Actions:

* Create a (powershell) script to get and save data from the export connector.
* Add a scheduled task to run this script periodically, according to the current schedule on the export connector.

Note: make sure the IT infrastructure allows connection to the Ultimo webservices.

cUrl example:

```
curl -o [OutputDirectory\FileName] -H "Content-type: text/xml;charset=utf-8" "[Export connector Url]"
curl -o C:\temp\outputdata.csv -H "Content-type: text/xml;charset=utf-8" "https://customer.ultimo.net/Webservices/Connector.ashx?username=US0000003&password=xxx&action=export&exportName=_CSVEXPORT"
```

To use this cUrl command in a powershell script:

```
curl.exe '-o', 'C:\temp\outputdata.csv',
 '-H', 'Content-type: text/xml;charset=utf-8',
 'https://customer.ultimo.net/Webservices/Connector.ashx?username=US0000003&password=xxx&action=export&exportName=_CSVEXPORT'
```

### Export after a specific action in Ultimo

If data is exported to a network share after an event in Ultimo has occurred, for example activating a record, an alternative is to send these files to a mailbox and configure the mailbox to save received files on the network share.

Actions:

* Configure a specific mailbox to receive these emails
* Configure the mailbox to save attachments of received emails to the network share

## 2. Alternative for exporting data/files to a network share using a scheduled workflow

If files are exported to a network share periodically with the workflow scheduler, the alternative is to change the workflow so that files are send as an email attachment as described in the previous chapter.

Actions:

* Configure a specific mailbox to receive these emails
* Configure the mailbox to save attachments of received emails to the network share


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.ultimo.net/azure-documentation/migration-to-azure/export-alternatives.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
